      *******************************************************************
      * Project code name "ORCA"
      * ɸ쥻ץȥեȡJMA standard receipt software
      * Copyright(C) 2002 JMA (Japan Medical Association)
      *
      * This program is part of "JMA standard receipt software".
      *
      *     This program is distributed in the hope that it will be useful
      * for further advancement in medical care, according to JMA Open
      * Source License, but WITHOUT ANY WARRANTY.
      *     Everyone is granted permission to use, copy, modify and
      * redistribute this program, but only under the conditions described
      * in the JMA Open Source License. You should have received a copy of
      * this license along with this program. If not, stop using this
      * program and contact JMA, 2-28-16 Honkomagome, Bunkyo-ku, Tokyo,
      * 113-8621, Japan.
      *****************************************************************
       IDENTIFICATION          DIVISION.
       PROGRAM-ID.             CA01HC01.
      *****************************************************************
      *  ƥ̾        : ϣңã
      *  ֥ƥ̾    : 桼ץ
      *  ݡͥ̾  : ɰ
      *****************************************************************
      *      ȼ    
      *  16/01/09    SKY.SH      
      *****************************************************************
      *
       ENVIRONMENT                DIVISION.
       CONFIGURATION                  SECTION.
       INPUT-OUTPUT                   SECTION.
       FILE-CONTROL.
      *
      *    ѥǡ
           SELECT  PRT-FILE       ASSIGN   ASGNPARA
                                   FILE    STATUS  IS  STS-PARA.
      *
       DATA                       DIVISION.
       FILE                           SECTION.
      *
      *    ѥǡ
       FD  PRT-FILE.
       01  PRT-REC                 PIC X(10000).
      *
       WORKING-STORAGE                SECTION.
      *
      *    ΰ
           COPY    "CPSHELLTBL.INC".
      *    ѥǡ ̾ΰ 
           COPY    "CPCOMMONPRT.INC".
      *
      *    ǥ쥯ȥΰ 
           COPY    "CPASGNPARA.INC".
      *
           COPY    "CA01HCM01.INC".
      *
      ****ADD 19/11/04
       01  KUHAKU-FILE-NAME    PIC X(512)  VALUE
           "/usr/lib/jma-receipt/site-lib/data/transparentc.png".
      ****
      *    ΰ
       01  STS-AREA.
           03  STS-RECEERR         PIC X(02).
           03  STS-PARA            PIC X(02).
      *
      *    ե饰ΰ
       01  FLG-AREA.
           03  FLG-OK              PIC 9(01).
           03  FLG-SYSKANRI        PIC 9(01).
           03  FLG-PTINF           PIC 9(01).
      *
      *    β
       01  KUHAKU-NAME.
           03  FILLER3             PIC X(20)   VALUE
                                               "data/transparent.jpg".
      *
      *    ƥΰ
       01  SYS-AREA.
           03  SYS-DATE               PIC 9(08).
           03  SYS-TIME               PIC 9(08).
      *
      *    ѥ᥿ΰ
       01  WRK-PARAAREG.
           03  WRK-PARA-LDNAME        PIC X(10).
           03  WRK-PARA-SYORIKBN      PIC 9(01).
           03  WRK-PARA-SYSYMD        PIC X(08).
           03  WRK-PARA-SRYYMD        PIC X(08).
           03  WRK-PARA-PTID          PIC 9(10).
           03  WRK-PARA-PTNUM         PIC X(20).
           03  WRK-PARA-SRYKA         PIC 9(02).
           03  WRK-PARA-DRNAME        PIC X(16).
           03  WRK-PARA-HKNCOMBINUM   PIC 9(04).
           03  WRK-PARA-SHORINAME     PIC X(20).
           03  WRK-PARA-PRINTNAME     PIC X(08).
           03  WRK-PARA-HOSPNUM       PIC 9(02).
           03  FILE-NAME              PIC X(512).
      *
      *    ΰ
      *
       01  WRK-AREA.
           03  WRK-MAE-INPUT          PIC X(200).
           03  WRK-OUT-INPUT          PIC X(200).
           03  WRK-SYMD.
               05  WRK-SYY            PIC 9(04).
               05  WRK-SMM            PIC 9(02).
               05  WRK-SDD            PIC 9(02).
           03  WRK-HENYMDG         PIC X(22).
      *
           03  WRK-HENYMD.
               05  WRK-HGO         PIC X(01).
               05  WRK-HYY         PIC X(02).
               05  FILLER          PIC X(01)   VALUE  ".".
               05  WRK-HMM         PIC X(02).
               05  FILLER          PIC X(01)   VALUE  ".".
               05  WRK-HDD         PIC X(02).

      *    ץ४ץѥ᥿
       01  PARA-AREA.
           03  WRK-PRILAYOUT           PIC X(01).
           03  WRK-PRISEX              PIC X(01).
           03  WRK-PRIBIRTHDAY         PIC X(01).
           03  WRK-PRIFAX              PIC X(01).
           03  WRK-PRIHOSPLOGO         PIC X(1024).
           03  WRK-PRIHOSPNAME         PIC X(22).
           03  WRK-PRIADRS             PIC X(36).
           03  FLG-BARCODE             PIC X(01).
           03  FLG-CARD                PIC X(01).
           03  WRK-BARCODE-IMAGE       PIC X(1024).
      *
           03  WRK-PARA-NAME           PIC X(25).
           03  WRK-PARA                PIC X(50).
      *
      *****************************************************************
      *    ե쥤
      *****************************************************************
      *
      *    ŵؾݴܾ
           COPY    "CPSK1001.INC".
      *
      *    ŵؾݽϡϢ
           COPY    "CPSK1002.INC".
      *
      *    ԥޥ
       01  PTINF-REC.
           COPY    "CPPTINF.INC".
      *
      *    ѥ᥿
           COPY    "CPORCSMKPRT.INC".
      *
      *****************************************************************
      *    ֥ץѡΰ
      *****************************************************************
      *
      *    ե¸ߥå
           COPY    "CPORCSFILECHK.INC".

      *    ե֥롼ΰ
      *
           COPY  "CPORCSDAY.INC".
      *
           COPY  "CPORCSLNK.INC".
      *
      *    ֹѴ
           COPY  "CPORCSPTID.INC".
      *
      *    ե̾
           COPY    "CPORCSGETTEMP.INC".
      *
      *    ģ¸
           COPY  "MCPAREA".
      *
           COPY  "MCPDATA.INC".
      *
           COPY  "COMMON-SPA".
      *
      *    եǥ쥯ȥֻꥵ
           COPY  "CPMKPASS.INC".
      *
      *    ץ४ץԽѥ᥿
           COPY    "CPORCSPRGOPTION.INC".
      *
      *****************************************************************
      *    Ϣΰ
      *****************************************************************
       LINKAGE                     SECTION.
      *
       01  COMMAND-PARAM.
           02  FILLER      PIC X(256).
      *
      ******************************************************************
       PROCEDURE                   DIVISION
                                   USING     COMMAND-PARAM.
      *
      *****************************************************************
      *    硡
      *****************************************************************
       000-PROC-SEC                SECTION.
      *
           PERFORM 100-DBOPEN-SEC
      *    
           PERFORM 100-INIT-SEC
           PERFORM 200-MAIN-SEC
      *    
           PERFORM 500-PRINT-SEC
      *
           PERFORM 900-DBDISCONNECT-SEC
      *
           .
       000-PROC-EXT.
      *
           EXIT    PROGRAM
           .
      *****************************************************************
      *    
      *****************************************************************
       100-INIT-SEC                SECTION.
      *
           INITIALIZE                  FLG-AREA
           INITIALIZE                  WRK-AREA
                                       WRK-PARAAREG
      *
           UNSTRING   COMMAND-PARAM    DELIMITED  BY  ","
                                       INTO    WRK-PARA-LDNAME
                                               WRK-PARA-SYORIKBN
                                               WRK-PARA-SYSYMD
                                               WRK-PARA-SRYYMD
                                               WRK-PARA-PTID
                                               WRK-PARA-PTNUM
                                               WRK-PARA-SRYKA
                                               WRK-PARA-DRNAME
                                               WRK-PARA-HKNCOMBINUM
                                               WRK-PARA-SHORINAME
                                               WRK-PARA-PRINTNAME
                                               WRK-PARA-HOSPNUM
      *
           END-UNSTRING
           MOVE    WRK-PARA-HOSPNUM    TO  SPA-HOSPNUM
      *
      *    ŵؾݴܾ
           PERFORM 900-1001-READ-SEC
      *
      *    ŵؾݽϡϢ
           PERFORM 900-1002-READ-SEC
      *
      *    եǥ쥯ȥֻ
           INITIALIZE                  ORCSMKPASSAREA
           MOVE    KUHAKU-NAME     TO  MKPASS-IN-01
           CALL    "ORCSMKPASS"        USING
                                       ORCSMKPASSAREA
           MOVE    MKPASS-OT-01    TO  FILE-NAME
      *
      *    ץ४ץ
           INITIALIZE  PARA-AREA
      *    ץ४ץѥ᥿
      *    쥤 0:ʸΤ 1:+ʸ 2:ΤߡʸƤˡ
           MOVE    "PRILAYOUT"       TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA(1:1)     TO  WRK-PRILAYOUT

      *    ˽0:ʤ 1:˽2:MF
           MOVE    "PRISEX"       TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA(1:1)     TO  WRK-PRISEX

      *    0:ʤ 1:ʿ27ǯ120 2:2015.1.20
           MOVE    "PRIBIRTHDAY"     TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA(1:1)     TO  WRK-PRIBIRTHDAY

      *    FAXֹ椢ʤ 0:ʤ1:
           MOVE    "PRIFAX"          TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA(1:1)     TO  WRK-PRIFAX

      *    ѥե̾
           MOVE    "PRIHOSPLOGO"     TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA          TO  WRK-PRIHOSPLOGO

      *    屡̾
           MOVE    "PRIHOSPNAME"     TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA          TO  WRK-PRIHOSPNAME

      *    
           MOVE    "PRIADRS"         TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA          TO  WRK-PRIADRS

      *    ֹСɤɽ
           MOVE    "BARCODE"       TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA(1:1)   TO  FLG-BARCODE

      *    ǻorСɥΤ
           MOVE    "CARD"          TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA(1:1)   TO  FLG-CARD
           IF      FLG-CARD   =   "0"
                   MOVE    "1"     TO  FLG-BARCODE
           END-IF
           .
       100-INIT-EXT.
           EXIT.
      *
      *****************************************************************
      *    Сɺ
      *****************************************************************
       408-BARCODE-IMAGE-SEC             SECTION.
      *
      *    SHELL
           MOVE    SPACE               TO  SHELLTBL
           INITIALIZE                      SHELLTBL

           STRING "/usr/lib/jma-receipt/site-lib/scripts"
                                           DELIMITED   BY  SIZE
                  "/allways/barcode39c.sh"  DELIMITED   BY  SIZE
           INTO   SHELLTBL-NAME
           END-STRING

           MOVE    WRK-PARA-PTNUM      TO  SHELLTBL-ARG1
           MOVE    SHELLTBL            TO  MCPDATA-REC
           MOVE    "SHELL"             TO  MCP-FUNC
           MOVE    "shell"             TO  MCP-TABLE
           MOVE    "shell"             TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA

      *    СɲINS2019/11/04
           STRING "/tmp/barcode"       DELIMITED   BY  SIZE
                  SHELLTBL-ARG1        DELIMITED   BY  SPACE
                  ".gif"               DELIMITED   BY  SIZE
           INTO   WRK-BARCODE-IMAGE
           END-STRING

      *    ե¸ߥå
           INITIALIZE                  ORCSFILECHKAREA
           MOVE    WRK-BARCODE-IMAGE   TO  FILECHK-NAME
           CALL    "ORCSFILECHK"       USING
                                       ORCSFILECHKAREA
           IF      (FILECHK-RC      =  ZERO)
               OR  (FILECHK-RC      =  2)
               MOVE  WRK-BARCODE-IMAGE TO  CA01HCM01-BARCODE
           ELSE
               MOVE  KUHAKU-FILE-NAME  TO  CA01HCM01-BARCODE
           END-IF
      *
           .
       408-BARCODE-IMAGE-EXT.
           EXIT.
      *
      *****************************************************************
      *    ץ४ץѥ᥿
      *****************************************************************
       1001-OPTION-CALL-SEC        SECTION.
      *
           INITIALIZE                  ORCSPRGOPTIONAREA
           MOVE    "CA01HC01"      TO  ORCSPRGOPTION-PRGID
           MOVE    WRK-PARA-NAME   TO  ORCSPRGOPTION-IN-DATA
           CALL    "ORCSPRGOPTION"     USING
                                       SPA-AREA
                                       ORCSPRGOPTIONAREA
           MOVE    SPACE           TO  WRK-PARA
      *    IF      ORCSPRGOPTION-OT-TYPE   =   1
      *        ȾѤǣʸܤͤȤ
      *        MOVE    ORCSPRGOPTION-OT-PARA(1:1)  TO  WRK-PARA(1:1)
      *    END-IF
           MOVE    ORCSPRGOPTION-OT-PARA  TO  WRK-PARA
           .
       1001-OPTION-CALL-EXT.
           EXIT.
      *
      *****************************************************************
      *    ǻǡ
      *****************************************************************
       200-MAIN-SEC        SECTION.
      *
           INITIALIZE                CA01HCM01

      *    ԥޥɤ߹
           MOVE    SPA-HOSPNUM       TO  PTINF-HOSPNUM
           MOVE    WRK-PARA-PTID     TO  PTINF-PTID
           PERFORM 900-PTINF-READ-SEC

      *    ֹ
           MOVE    WRK-PARA-PTNUM    TO  CA01HCM01-PTNUM

      *    Ի̾
           IF      PTINF-NAME(21:)   = SPACE
               MOVE    PTINF-NAME        TO  CA01HCM01-NAME
           ELSE
               MOVE    PTINF-NAME        TO  CA01HCM01-NAME2
           END-IF

      *    ˽
           EVALUATE  WRK-PRISEX
             WHEN  SPACE
             WHEN  "0"
             WHEN  "1"
                 IF  PTINF-SEX ="1"
                     MOVE    ""              TO  CA01HCM01-SEX
                 ELSE
                     MOVE    ""              TO  CA01HCM01-SEX
                 END-IF
             WHEN  "2"
                 IF  PTINF-SEX ="1"
                     MOVE    ""              TO  CA01HCM01-SEX
                 ELSE
                     MOVE    ""              TO  CA01HCM01-SEX
                 END-IF
           END-EVALUATE

      *    ǯ
           MOVE    PTINF-BIRTHDAY    TO  WRK-SYMD
           PERFORM 31012-SEIWA-HEN-SEC
           EVALUATE  WRK-PRIBIRTHDAY
             WHEN  SPACE
             WHEN  "0"
             WHEN  "1"
               MOVE  LNK-DAY2-EDTYMD3-G  TO  CA01HCM01-BIRTHDAY(1:4)
               MOVE  LNK-DAY2-EDTYMD1-Y  TO  CA01HCM01-BIRTHDAY(5:2)
               MOVE  "ǯ"                TO  CA01HCM01-BIRTHDAY(7:2)
               MOVE  LNK-DAY2-EDTYMD1-M  TO  CA01HCM01-BIRTHDAY(9:2)
               MOVE  ""                TO  CA01HCM01-BIRTHDAY(11:2)
               MOVE  LNK-DAY2-EDTYMD1-D  TO  CA01HCM01-BIRTHDAY(13:2)
               MOVE  ""              TO  CA01HCM01-BIRTHDAY(15:4)
             WHEN  "2"
               MOVE  PTINF-BIRTHDAY(1:4) TO  CA01HCM01-BIRTHDAY(1:4)
               MOVE  "."                 TO  CA01HCM01-BIRTHDAY(5:1)
               MOVE  LNK-DAY2-EDTYMD1-M  TO  CA01HCM01-BIRTHDAY(6:2)
               MOVE  "."                 TO  CA01HCM01-BIRTHDAY(8:1)
               MOVE  LNK-DAY2-EDTYMD1-D  TO  CA01HCM01-BIRTHDAY(9:2)
           END-EVALUATE

           IF  WRK-PRILAYOUT = SPACE OR WRK-PRILAYOUT = "0"
               MOVE  FILE-NAME TO  CA01HCM01-LOGO
      *        ŵ̾ʸ
               IF    WRK-PRIHOSPNAME   =   SPACE
                 MOVE  SYS-1001-HOSPNAME   TO  CA01HCM01-HOSPNAME
               ELSE
                 MOVE  WRK-PRIHOSPNAME     TO  CA01HCM01-HOSPNAME
               END-IF

      *        ŵؽꡡʸ
               IF    WRK-PRIHOSPNAME   =   SPACE
                 MOVE  SYS-1002-ADRS       TO  CA01HCM01-ADRS
               ELSE
                 MOVE  WRK-PRIADRS         TO  CA01HCM01-ADRS
               END-IF

      *        ŵáʸ
               STRING
                   "TEL "        DELIMITED BY SIZE
                   SYS-1002-TEL  DELIMITED BY SIZE
                   INTO  CA01HCM01-TEL
               END-STRING

      *        ŵáʸ
               STRING
                   "FAX "        DELIMITED BY SIZE
                   SYS-1002-TEL  DELIMITED BY SIZE
                   INTO  CA01HCM01-FAX
               END-STRING

               IF  WRK-PRIFAX    =  "0"
                   OR  WRK-PRIFAX    =  SPACE
                   MOVE  CA01HCM01-TEL  TO  CA01HCM01-TELNOMI
                   MOVE  SPACE          TO  CA01HCM01-TEL
                   MOVE  SPACE          TO  CA01HCM01-FAX
               END-IF
             ELSE
      *        ޡ
               IF  WRK-PRIHOSPLOGO (1:1)  NOT =  SPACE
      *            ե¸ߥå
                   INITIALIZE                  ORCSFILECHKAREA
                   MOVE    WRK-PRIHOSPLOGO TO  FILECHK-NAME
                   CALL    "ORCSFILECHK"       USING
                                               ORCSFILECHKAREA
                   IF      FILECHK-RC      =   ZERO
                     MOVE  WRK-PRIHOSPLOGO TO  CA01HCM01-LOGO
                   ELSE
                       MOVE  FILE-NAME TO  CA01HCM01-LOGO
                   END-IF
               ELSE
                   MOVE  FILE-NAME TO  CA01HCM01-LOGO
               END-IF

      *        ŵ̾ʸ
               IF    WRK-PRIHOSPNAME   =   SPACE
                 MOVE  SYS-1001-HOSPNAME   TO  CA01HCM01-HOSPNAME2
               ELSE
                 MOVE  WRK-PRIHOSPNAME     TO  CA01HCM01-HOSPNAME2
               END-IF

      *        ŵؽꡡʸ
               IF    WRK-PRIHOSPNAME   =   SPACE
                 MOVE  SYS-1002-ADRS       TO  CA01HCM01-ADRS2
               ELSE
                 MOVE  WRK-PRIADRS         TO  CA01HCM01-ADRS2
               END-IF

      *        ŵáʸ
               STRING
                   "TEL "        DELIMITED BY SIZE
                   SYS-1002-TEL  DELIMITED BY SIZE
                   INTO  CA01HCM01-TEL2
               END-STRING

      *        ŵáʸ
               STRING
                   "FAX "        DELIMITED BY SIZE
                   SYS-1002-TEL  DELIMITED BY SIZE
                   INTO  CA01HCM01-FAX2
               END-STRING

               IF  WRK-PRIFAX    =  "0"
                   OR  WRK-PRIFAX    =  SPACE
                   MOVE  CA01HCM01-TEL2 TO  CA01HCM01-TEL2NOMI
                   MOVE  SPACE          TO  CA01HCM01-TEL2
                   MOVE  SPACE          TO  CA01HCM01-FAX2
               END-IF
           END-IF
           .
       200-MAIN-EXT.
           EXIT.
      *
      *****************************************************************
      *    
      *****************************************************************
       500-PRINT-SEC            SECTION.
      *
           IF  FLG-BARCODE  =  "1"
               PERFORM  408-BARCODE-IMAGE-SEC
           ELSE
               MOVE  KUHAKU-FILE-NAME TO   CA01HCM01-BARCODE
           END-IF
      *
           MOVE    "AAAAA:00000000000000000000000003" TO SPA-TERMID
      *
           MOVE    SPA-HOSPNUM         TO  HC01PARA-HOSPNUM
           MOVE    "HC01"              TO  HC01PARA-FORM-ID
           MOVE    SPA-TERMID          TO  HC01PARA-TERMID
           MOVE    SYS-TIME            TO  HC01PARA-SYOHMS
           MOVE    1                   TO  HC01PARA-CNT
      *
      *    ե̾
           INITIALIZE                      SGETTEMP-AREA
           MOVE    HC01PARA            TO  SGETTEMP-BASENAME
           CALL    "ORCSGETTEMP"       USING
                                       SGETTEMP-AREA
           MOVE    SGETTEMP-FULLNAME   TO  ASGNPARA
      *
      *    ѥǡ
           OPEN    OUTPUT              PRT-FILE
           MOVE    CA01HCM01           TO  PRT-REC
           WRITE   PRT-REC
           CLOSE                       PRT-FILE
      *
           INITIALIZE                 ORCSMKPRTAREA
      *
           MOVE   "HC01.sh"           TO  MKPRT-ID
           IF     FLG-CARD  =  "1"
               MOVE   "CA01HCM01.red"     TO  MKPRT-DIA
           ELSE
               MOVE   "CA01HCM01BAR.red"  TO  MKPRT-DIA
           END-IF
           MOVE   SPACE               TO  MKPRT-DEF
           MOVE   ASGNPARA            TO  MKPRT-DAT
           MOVE   WRK-PARA-PRINTNAME  TO  MKPRT-PRTNM
      *
           CALL   "ORCSMKPRTSITE"     USING
                                      ORCSMKPRTAREA
                                      SPA-AREA
      *
           .
       500-PRINT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ܸѴ
      *****************************************************************
       31012-SEIWA-HEN-SEC        SECTION.
      *
           INITIALIZE                  STS-AREA-DAY
           INITIALIZE                  LNK-DAY2-AREA
           MOVE    "21"                TO  LNK-DAY2-IRAI
           MOVE    WRK-SYMD            TO  LNK-DAY2-YMD
           CALL    "ORCSDAY"           USING
                                       STS-AREA-DAY
                                       LNK-DAY2-AREA
           MOVE    LNK-DAY2-EDTYMD3    TO  WRK-HENYMDG
           MOVE    LNK-DAY2-EDTYMD1    TO  WRK-HENYMD
           INSPECT WRK-HENYMDG    REPLACING  ALL "  "  BY  ""
           .
       31012-SEIWA-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ƥޥɤ߹
      *****************************************************************
       900-SYSKANRI-READ-SEC       SECTION.
      *
           MOVE    "tbl_syskanri"  TO  MCP-TABLE
           MOVE    "key10"         TO  MCP-PATHNAME
           PERFORM 910-DBSELECT-SEC
      *
           IF      MCP-RC          =   ZERO
               MOVE    "tbl_syskanri"  TO  MCP-TABLE
               MOVE    "key10"         TO  MCP-PATHNAME
               PERFORM 920-DBFETCH-SEC
               IF      MCP-RC          =   ZERO
                   MOVE    ZERO            TO  FLG-SYSKANRI
               ELSE
                   MOVE    1               TO  FLG-SYSKANRI
               END-IF
           ELSE
               MOVE    1               TO  FLG-SYSKANRI
           END-IF
      *
           MOVE    "tbl_syskanri"  TO  MCP-TABLE
           MOVE    "key10"         TO  MCP-PATHNAME
           PERFORM 930-DBCLOSE-SEC
      *
           .
       900-SYSKANRI-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ŵؾݴܾɤ߹
      *****************************************************************
       900-1001-READ-SEC           SECTION.
      *
      *    ŵؾݴܾɤ߹
           MOVE    SPACE           TO  SYS-1001-REC
           INITIALIZE                  SYS-1001-REC
           MOVE    "1001"          TO  SYS-1001-KANRICD
           MOVE    "*"             TO  SYS-1001-KBNCD
           MOVE    WRK-PARA-SRYYMD TO  SYS-1001-STYUKYMD
           MOVE    WRK-PARA-SRYYMD TO  SYS-1001-EDYUKYMD
           MOVE    SPA-HOSPNUM     TO  SYS-1001-HOSPNUM
           MOVE    SYS-1001-REC    TO  MCPDATA-REC
           PERFORM 900-SYSKANRI-READ-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    MCPDATA-REC     TO  SYS-1001-REC
           ELSE
               INITIALIZE                  SYS-1001-REC
           END-IF
      *
           .
       900-1001-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ŵؾݽϡϢɤ߹
      *****************************************************************
       900-1002-READ-SEC           SECTION.
      *
      *    ŵؾݽϡϢɤ߹
           MOVE    SPACE           TO  SYS-1002-REC
           INITIALIZE                  SYS-1002-REC
           MOVE    "1002"          TO  SYS-1002-KANRICD
           MOVE    "*"             TO  SYS-1002-KBNCD
           MOVE    WRK-PARA-SRYYMD TO  SYS-1002-STYUKYMD
           MOVE    WRK-PARA-SRYYMD TO  SYS-1002-EDYUKYMD
           MOVE    SPA-HOSPNUM     TO  SYS-1002-HOSPNUM
           MOVE    SYS-1002-REC    TO  MCPDATA-REC
           PERFORM 900-SYSKANRI-READ-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    MCPDATA-REC     TO  SYS-1002-REC
           ELSE
               INITIALIZE                  SYS-1002-REC
           END-IF
      *
           .
       900-1002-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ԥޥɤ߹
      *****************************************************************
       900-PTINF-READ-SEC         SECTION.
      *
           MOVE    PTINF-REC           TO  MCPDATA-REC
           MOVE    "DBSELECT"          TO  MCP-FUNC
           MOVE    "tbl_ptinf"         TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"           TO  MCP-FUNC
               MOVE    "tbl_ptinf"         TO  MCP-TABLE
               MOVE    "key"               TO  MCP-PATHNAME
               CALL    "ORCDBMAIN"          USING
                                            MCPAREA
                                            MCPDATA-REC
                                            SPA-AREA
               IF      MCP-RC              =   ZERO
                   MOVE    MCPDATA-REC     TO  PTINF-REC
                   MOVE    ZERO            TO  FLG-PTINF
               ELSE
                   MOVE    1               TO  FLG-PTINF
               END-IF
           ELSE
               MOVE    1               TO  FLG-PTINF
           END-IF
           MOVE    "DBCLOSECURSOR"     TO  MCP-FUNC
           MOVE    "tbl_ptinf"         TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
      *
           .
       900-PTINF-READ-EXT.
           EXIT.
      *****************************************************************
      *    ģ¡ץ
      *****************************************************************
       100-DBOPEN-SEC                SECTION.
      *
           MOVE    "DBOPEN"            TO  MCP-FUNC.
           MOVE    LOW-VALUE           TO  MCP-TABLE
                                           MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
                                        .
      *
           MOVE    "DBSTART"           TO  MCP-FUNC.
           MOVE    LOW-VALUE           TO  MCP-TABLE
                                           MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
                                        .
           .
       100-DBOPEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ¡
      *****************************************************************
       900-DBDISCONNECT-SEC            SECTION.
      *
           MOVE    "DBCOMMIT"          TO  MCP-FUNC.
           MOVE    LOW-VALUE           TO  MCP-TABLE
                                           MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
                                        .
      *
           MOVE    "DBDISCONNECT"      TO  MCP-FUNC.
           MOVE    LOW-VALUE           TO  MCP-TABLE
                                           MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
                                        .
           .
       900-DBCLOSE-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģɹϽ
      *****************************************************************
       910-DBSELECT-SEC            SECTION.
      *
           MOVE    "DBSELECT"      TO  MCP-FUNC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *
           .
       910-DBSELECT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģɹ
      *****************************************************************
       920-DBFETCH-SEC             SECTION.
      *
           MOVE    "DBFETCH"       TO  MCP-FUNC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *
           .
       920-DBFETCH-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģɹλ
      *****************************************************************
       930-DBCLOSE-SEC             SECTION.
      *
           MOVE    "DBCLOSECURSOR" TO  MCP-FUNC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *
           .
       930-DBCLOSE-EXT.
           EXIT.
      *
