#!/bin/bash

. /etc/jma-receipt/jma-receipt.env

usrname=`whoami`

# LucidǻѤ륳UTF-8ؤѴ
# Lucid message (default character-code EUC)
function echomsg() {
  if [ "${LANG}" = "ja_JP.UTF-8" ] || [ "${LANG}" = "ja_JP.UTF8" ] ||
     [ "${LANG}" = "ja_JP.utf8" ]; then
    if [ -z $2 ]; then
      echo `echo $1 | nkf -wE`
    else
      echo -n `echo $1 | nkf -wE`
    fi 
  else
    if [ -z $2 ]; then
      echo $1
    else
      echo -n $1
    fi
  fi
  return 0
}

# user check
if [ $usrname != "root" ] ; then
  echomsg "\n顼root桼Ǽ¹ԤƤ\n"
  exit 1
fi

# file copy
for d in cobol data doc form lddef scripts ; do
  sudo -u orca cp -af ${d} ${SITESRCDIR}
done

# kentan.inc copy
cp ${SYSCONFDIR}/kentan.inc ${SYSCONFDIR}/kentan.inc.bak
sed '/ca01hc01/d' ${SYSCONFDIR}/kentan.inc.bak > ${SYSCONFDIR}/kentan.inc
rm -rf ${SYSCONFDIR}/kentan.inc.bak
echo -e "\tca01hc01;" >> ${SYSCONFDIR}/kentan.inc

# site-upgrade.sh run
if [ -f ${SCRIPTSDIR}/allways/site-upgrade.sh ] ; then
	sudo -u orca bash ${SCRIPTSDIR}/allways/site-upgrade.sh
else
	echomsg "顼ǻ ץ।󥹥ȡ봰λ۾ｪλ"
	exit 1
fi

sync
echomsg "ǻ ץ।󥹥ȡ봰λ"
exit 0
